Create install

Installs an integration into the caller's org from its id and configuration, answering with the installed catalog item.

POST /v1/o11y/integrations/install

Addresshttps://api.hanzo.ai/v1/o11y/integrations/install
MethodPOST
OperationInstallIntegration
AuthAuthorization: Bearer $HANZO_API_KEY

Installs an integration into the caller's org from its id and configuration, answering with the installed catalog item. Viewer gate.

Request

3 fields, body application/json (required).

FieldInTypeRequiredDescription
configbodyobject—
config.*bodyany—
integration_idbodystring—

Response

StatusBodyMeaning
200o11y.O11yInstallOutok
202Approvalheld for approval
defaultproblem-detailsrefused

200 body — 11 fields.

FieldInTypeAlwaysDescription
databodyo11y.IntegrationsListItem—
data.authorbodyo11y.IntegrationAuthor—
data.author.emailbodystring—
data.author.homepagebodystring—
data.author.namebodystring—
data.descriptionbodystring—
data.iconbodystring—
data.idbodystring—
data.is_installedbodyboolean—
data.titlebodystring—
statusbodystring—Status is "success".

Failure carries the platform error shape — see Errors.

Examples

hanzo o11y integrations install
import { Configuration, O11yApi } from 'hanzoai';

const api = new O11yApi(new Configuration({ accessToken: process.env.HANZO_API_KEY }));
const { data } = await api.installIntegration({ config: {}, integration_id: "<integration_id>" });
from hanzoai.cloud import ApiClient, Configuration
from hanzoai.cloud.api import O11yApi

client = ApiClient(Configuration(access_token=os.environ["HANZO_API_KEY"]))
result = O11yApi(client).install_integration(config={}, integration_id="<integration_id>")
cfg := hanzoai.NewConfiguration()
cfg.AddDefaultHeader("Authorization", "Bearer "+os.Getenv("HANZO_API_KEY"))
client := hanzoai.NewAPIClient(cfg)

resp, _, err := client.O11yAPI.InstallIntegration(context.Background()).Execute()
if err != nil {
	return err
}
use hanzo_client::apis::{configuration::Configuration, o11y_api};

let mut cfg = Configuration::new();
cfg.bearer_access_token = std::env::var("HANZO_API_KEY").ok();

let result = o11y_api::install_integration(&cfg, Default::default()).await?;
import ai.hanzo.cloud.ApiClient;
import ai.hanzo.cloud.api.O11yApi;

ApiClient client = new ApiClient();
client.setBearerToken(System.getenv("HANZO_API_KEY"));

var result = new O11yApi(client).installIntegration();
curl -X POST https://api.hanzo.ai/v1/o11y/integrations/install \
  -H "Authorization: Bearer $HANZO_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
       "config": {},
       "integration_id": "<integration_id>"
     }'

Tool o11y, op InstallIntegration — POST the JSON-RPC envelope to https://api.hanzo.ai/v1/mcp.

curl -X POST https://api.hanzo.ai/v1/mcp \
  -H "Authorization: Bearer $HANZO_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
       "jsonrpc": "2.0",
       "id": 1,
       "method": "tools/call",
       "params": {
         "name": "o11y",
         "arguments": {
           "op": "InstallIntegration",
           "input": {
             "config": {},
             "integration_id": "<integration_id>"
           }
         }
       }
     }'

O11y API · All Hanzo APIs · Interactive reference

Was this page useful?